# SPDX-FileCopyrightText: Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited.

services:
    #############################################################################################################################################
    # Based on Pixel Streaming example: https://github.com/EpicGames/UnrealEngine/tree/release/Engine/Extras/Containers/Examples/PixelStreaming #
    #############################################################################################################################################

    # The WebRTC TURN server (note that you will need TCP and UDP ports 3478 and 31720-31729 exposed for TURN relaying to function correctly)
    turnserver:
        image: "coturn/coturn:4.5.2"
        init: true
        network_mode: "host"
        command:
            [
                "-a",
                "-v",
                "-n",
                "-u",
                "user:password",
                "-p",
                "3478",
                "-r",
                "default-realm",
                "--no-dtls",
                "--no-tls",
                "--external-ip",
                "${PUBLIC_IP}",
                "--min-port",
                "31720",
                "--max-port",
                "31820",
                "--no-stun",
            ]
